OGRE: Ogre::MeshManager::MeshBuildParams Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MeshManager::MeshBuildParams Struct Reference

Saved parameters used to (re)build a manual mesh built by this class. More...

`#include <OgreMeshManager.h>`

List of all members.

## Public Attributes

MeshBuildType | type
Plane | plane
Real | width
Real | height
Real | curvature
int | xsegments
int | ysegments
bool | normals
int | numTexCoordSets
Real | xTile
Real | yTile
Vector3 | upVector
Quaternion | orientation
HardwareBuffer::Usage | vertexBufferUsage
HardwareBuffer::Usage | indexBufferUsage
bool | vertexShadowBuffer
bool | indexShadowBuffer
int | ySegmentsToKeep

## Detailed Description

Saved parameters used to (re)build a manual mesh built by this class.

Definition at line 390 of file OgreMeshManager.h.

## Member Data Documentation

Real Ogre::MeshManager::MeshBuildParams::curvature

| Definition at line 396 of file OgreMeshManager.h.

Real Ogre::MeshManager::MeshBuildParams::height

| Definition at line 395 of file OgreMeshManager.h.

HardwareBuffer::Usage Ogre::MeshManager::MeshBuildParams::indexBufferUsage

| Definition at line 406 of file OgreMeshManager.h.

bool Ogre::MeshManager::MeshBuildParams::indexShadowBuffer

| Definition at line 408 of file OgreMeshManager.h.

bool Ogre::MeshManager::MeshBuildParams::normals

| Definition at line 399 of file OgreMeshManager.h.

int Ogre::MeshManager::MeshBuildParams::numTexCoordSets

| Definition at line 400 of file OgreMeshManager.h.

Quaternion Ogre::MeshManager::MeshBuildParams::orientation

| Definition at line 404 of file OgreMeshManager.h.

Plane Ogre::MeshManager::MeshBuildParams::plane

| Definition at line 393 of file OgreMeshManager.h.

MeshBuildType Ogre::MeshManager::MeshBuildParams::type

| Definition at line 392 of file OgreMeshManager.h.

Vector3 Ogre::MeshManager::MeshBuildParams::upVector

| Definition at line 403 of file OgreMeshManager.h.

HardwareBuffer::Usage Ogre::MeshManager::MeshBuildParams::vertexBufferUsage

| Definition at line 405 of file OgreMeshManager.h.

bool Ogre::MeshManager::MeshBuildParams::vertexShadowBuffer

| Definition at line 407 of file OgreMeshManager.h.

Real Ogre::MeshManager::MeshBuildParams::width

| Definition at line 394 of file OgreMeshManager.h.

int Ogre::MeshManager::MeshBuildParams::xsegments

| Definition at line 397 of file OgreMeshManager.h.

Real Ogre::MeshManager::MeshBuildParams::xTile

| Definition at line 401 of file OgreMeshManager.h.

int Ogre::MeshManager::MeshBuildParams::ysegments

| Definition at line 398 of file OgreMeshManager.h.

int Ogre::MeshManager::MeshBuildParams::ySegmentsToKeep

| Definition at line 409 of file OgreMeshManager.h.

Real Ogre::MeshManager::MeshBuildParams::yTile

| Definition at line 402 of file OgreMeshManager.h.

The documentation for this struct was generated from the following file:

- OgreMeshManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:15 2008